# jira-agile-velocity

Build various sets of Agile metrics and dashboards by fetching data from Jira REST API

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/jira-agile-velocity.svg)](https://npmjs.org/package/jira-agile-velocity)
[![Downloads/week](https://img.shields.io/npm/dw/jira-agile-velocity.svg)](https://npmjs.org/package/jira-agile-velocity)
[![License](https://img.shields.io/npm/l/jira-agile-velocity.svg)](https://github.com/fgerthoffert/jira-agile-velocity/blob/master/package.json)

<!-- toc -->
* [jira-agile-velocity](#jira-agile-velocity)
* [Introduction](#introduction)
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->

# Introduction

<!-- introduction -->

Please refer to the readme available at the root of this repository or directly on GitHub: https://github.com/Fgerthoffert/jira-agile-velocity

# Usage

<!-- usage -->
```sh-session
$ npm install -g jira-agile-velocity
$ jav COMMAND
running command...
$ jav (-v|--version|version)
jira-agile-velocity/0.7.2 linux-x64 node-v20.2.0
$ jav --help [COMMAND]
USAGE
  $ jav COMMAND
...
```
<!-- usagestop -->

# Commands

<!-- commands -->
* [`jav help [COMMAND]`](#jav-help-command)
* [`jav init`](#jav-init)
* [`jav streams`](#jav-streams)
* [`jav versions`](#jav-versions)

## `jav help [COMMAND]`

display help for jav

```
USAGE
  $ jav help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.2.3/src/commands/help.ts)_

## `jav init`

Initialize the configuration file

```
USAGE
  $ jav init

EXAMPLE
  $ jav init
```

_See code: [src/commands/init.ts](https://github.com/fgerthoffert/jira-agile-velocity/blob/v0.7.2/src/commands/init.ts)_

## `jav streams`

Fetches Completion and Forecast streams per team

```
USAGE
  $ jav streams

OPTIONS
  -c, --useCache  Use local cache instead of fetching the data from Jira
  -h, --help      show CLI help
```

_See code: [src/commands/streams.ts](https://github.com/fgerthoffert/jira-agile-velocity/blob/v0.7.2/src/commands/streams.ts)_

## `jav versions`

Fetches details about completed versions

```
USAGE
  $ jav versions

OPTIONS
  -h, --help  show CLI help
```

_See code: [src/commands/versions.ts](https://github.com/fgerthoffert/jira-agile-velocity/blob/v0.7.2/src/commands/versions.ts)_
<!-- commandsstop -->
