import Command from '@oclif/command';
import { UserConfig } from './global';
export default abstract class extends Command {
    userConfig: {
        jira: {
            username: string;
            password: string;
            host: string;
            fields: {
                points: string;
                originalPoints: string;
                parentInitiative: string;
                parentEpic: string;
                sprint: string;
            };
            excludeDays: string[];
            resolutions: {
                positive: string[];
                negative: string[];
                ignore: string[];
            };
        };
        versions: {
            projectKeys: string[];
            monthsToChart: number;
            from: string;
            defaultFilters: {
                name: string;
                projectKey: string;
                label: string;
                issueType: string;
                priority: string;
            };
        };
        teams: {
            name: string;
            from: string;
            excludeDays: string[];
            streams: {
                name: string;
                completion: {
                    jql: string;
                    childOf: string;
                };
                forecast: {
                    jql: string;
                    fetchChild: boolean;
                    effortPct: number;
                };
            }[];
        }[];
    };
    setUserConfig(userConfig: UserConfig): void;
    init(): Promise<void>;
}
