"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
const paginateVersion = async (jiraConfig, projectKey, versions, startAt) => {
    const resultsCount = 100;
    console.log(`Fetching ${resultsCount} records from position: ${startAt}`);
    const response = await (0, axios_1.default)({
        method: 'get',
        url: `${jiraConfig.host}/rest/api/2/project/${projectKey}/version`,
        auth: {
            username: jiraConfig.username,
            password: jiraConfig.password,
        },
        params: {
            startAt: startAt,
            maxResults: resultsCount,
        },
    });
    if (response.data.values.length > 0) {
        versions = [...versions, ...response.data.values];
    }
    if (response.data.isLast === false) {
        const recVersions = await paginateVersion(jiraConfig, projectKey, versions, startAt + resultsCount);
        return recVersions;
    }
    return versions;
};
const jiraFetchVersions = async (jiraConfig, projectKey) => {
    const versions = await paginateVersion(jiraConfig, projectKey, [], 0);
    return versions;
};
exports.default = jiraFetchVersions;
