"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTeamFromAssignee = exports.getTeamId = void 0;
/*
    Returns an id from a team name by making the string lowercase and stripping all non alphanumerical characters
*/
const getTeamId = (teamName) => {
    return String(teamName)
        .replace('team-', '') // If team is prefixed by team-, we simply remove it from the string
        .replace(/[^a-z0-9+]+/gi, '')
        .toLowerCase();
};
exports.getTeamId = getTeamId;
const getTeamFromAssignee = (issue, teams) => {
    if (issue.fields.assignee === null) {
        return null;
    }
    for (const team of teams) {
        if ((0, exports.getTeamId)(issue.fields.assignee.name) === (0, exports.getTeamId)(team)) {
            return team;
        }
    }
    return null;
};
exports.getTeamFromAssignee = getTeamFromAssignee;
