"use strict";
/* eslint max-depth: ["error", 7] */
/* eslint max-params: ["error", 7] */
/* eslint-env es6 */
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const date_fns_1 = require("date-fns");
const fetchVersions_1 = require("../jira/fetchVersions");
/*
    Fetches all completed issues, per day from a team
*/
const getVersions = async (projectKey, jiraConfig) => {
    cli_ux_1.default.log('Fetching versions for project: ' + projectKey);
    const projectVersions = await (0, fetchVersions_1.default)(jiraConfig, projectKey);
    return projectVersions.map((v) => {
        return Object.assign(Object.assign({}, v), { releaseDate: v.releaseDate === undefined
                ? undefined
                : (0, date_fns_1.parse)(v.releaseDate, 'yyyy-MM-dd', new Date()), projectKey: projectKey });
    });
};
exports.default = getVersions;
