"use strict";
/* eslint max-depth: ["error", 7] */
/* eslint max-params: ["error", 7] */
/* eslint-env es6 */
Object.defineProperty(exports, "__esModule", { value: true });
/*
    Group all versions by name
*/
const groupVersions = (versions) => {
    return versions.reduce((acc, v) => {
        // Search issue in accumulator
        if (acc.find(a => a.name === v.name) === undefined) {
            // Format and push issue
            acc.push({
                name: v.name,
                archived: v.archived,
                released: v.released,
                releaseDate: v.releaseDate,
                userReleaseDate: v.userReleaseDate,
                projects: [
                    {
                        projectId: v.projectId,
                        projectKey: v.projectKey,
                        versionId: v.id,
                    },
                ],
            });
            return acc;
        }
        return acc.map((a) => {
            if (a.name === v.name) {
                const projects = a.projects;
                if (a.projects.find((p) => p.projectKey === v.projectKey) ===
                    undefined) {
                    projects.push({
                        projectId: v.projectId,
                        projectKey: v.projectKey,
                        versionId: v.id,
                    });
                }
                const releaseDate = a.releaseDate === undefined ? v.releaseDate : a.releaseDate;
                const userReleaseDate = a.userReleaseDate === undefined
                    ? v.userReleaseDate
                    : a.userReleaseDate;
                if (a.release)
                    return Object.assign(Object.assign({}, a), { releaseDate,
                        userReleaseDate,
                        projects });
            }
            return a;
        });
    }, []);
};
exports.default = groupVersions;
