"use strict";
/* eslint max-depth: ["error", 7] */
/* eslint max-params: ["error", 7] */
/* eslint-env es6 */
Object.defineProperty(exports, "__esModule", { value: true });
/*
    Trim issues to keep only the most important details
*/
const trimIssues = (issues) => {
    return issues.map(issue => {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l;
        const trimmedIssue = {};
        if (issue.key !== undefined) {
            trimmedIssue.key = issue.key;
        }
        if (((_a = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _a === void 0 ? void 0 : _a.summary) !== undefined) {
            trimmedIssue.summary = issue.fields.summary;
        }
        if (((_b = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _b === void 0 ? void 0 : _b.created) !== undefined) {
            trimmedIssue.created = issue.fields.created;
        }
        if (((_c = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _c === void 0 ? void 0 : _c.labels) !== undefined) {
            trimmedIssue.labels = issue.fields.labels;
        }
        if (((_d = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _d === void 0 ? void 0 : _d.status) !== undefined) {
            trimmedIssue.status = issue.fields.status.name;
        }
        if (((_e = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _e === void 0 ? void 0 : _e.priority) !== undefined &&
            ((_f = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _f === void 0 ? void 0 : _f.priority) !== null) {
            trimmedIssue.priority = issue.fields.priority.name;
        }
        if (((_g = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _g === void 0 ? void 0 : _g.project) !== undefined) {
            trimmedIssue.projectKey = issue.fields.project.key;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.points) !== undefined) {
            trimmedIssue.points = issue.points;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.daysToRelease) !== undefined) {
            trimmedIssue.daysToRelease = issue.daysToRelease;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.weeksToRelease) !== undefined) {
            trimmedIssue.weeksToRelease = issue.weeksToRelease;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.monthsToRelease) !== undefined) {
            trimmedIssue.monthsToRelease = issue.monthsToRelease;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.daysToReleaseIfToday) !== undefined) {
            trimmedIssue.daysToReleaseIfToday = issue.daysToReleaseIfToday;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.weeksToReleaseIfToday) !== undefined) {
            trimmedIssue.weeksToReleaseIfToday = issue.weeksToReleaseIfToday;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.monthsToReleaseIfToday) !== undefined) {
            trimmedIssue.monthsToReleaseIfToday = issue.monthsToReleaseIfToday;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.daysToResolution) !== undefined) {
            trimmedIssue.daysToResolution = issue.daysToResolution;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.weeksToResolution) !== undefined) {
            trimmedIssue.weeksToResolution = issue.weeksToResolution;
        }
        if ((issue === null || issue === void 0 ? void 0 : issue.monthsToResolution) !== undefined) {
            trimmedIssue.monthsToResolution = issue.monthsToResolution;
        }
        if (((_h = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _h === void 0 ? void 0 : _h.issuetype) !== undefined) {
            trimmedIssue.type = issue.fields.issuetype.name;
        }
        if (((_j = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _j === void 0 ? void 0 : _j.resolutiondate) !== undefined) {
            trimmedIssue.resolutiondate = issue.fields.resolutiondate;
        }
        if (((_k = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _k === void 0 ? void 0 : _k.resolution) !== undefined &&
            ((_l = issue === null || issue === void 0 ? void 0 : issue.fields) === null || _l === void 0 ? void 0 : _l.resolution) !== null) {
            trimmedIssue.resolution = issue.fields.resolution.name;
        }
        return trimmedIssue;
    });
};
exports.default = trimIssues;
